Last Comment Bug 738979 - pdf.js: Gradients in PDF file are rendered solid black
: pdf.js: Gradients in PDF file are rendered solid black
Status: VERIFIED FIXED
https://github.com/mozilla/pdf.js/pul...
:
Product: Firefox
Classification: Client Software
Component: PDF Viewer (show other bugs)
: Trunk
: x86_64 All
: -- normal (vote)
: Firefox 14
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 743264
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 12:43 PDT by Jonathan Haas
Modified: 2012-06-22 03:01 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Reduced sample (1.41 KB, application/pdf)
2012-03-24 16:15 PDT, Jonathan Haas
no flags Details

Description Jonathan Haas 2012-03-24 12:43:52 PDT
Opening http://www.rz.rwth-aachen.de/global/show_document.asp?id=aaaaaaaaaacdmoc in the integrated pdf.js viewer result in an unreadable pdf with black background. When opened in some other viewer it's displayed correctly with a light gray gradient background.

Expected result: Firefox should display the pdf correctly with a light gray gradient background.
Comment 1 Thomas Ahlblom 2012-03-24 14:37:02 PDT
Reproduced:
Mozilla/5.0 (X11; Linux x86_64; rv:14.0) Gecko/20120324 Firefox/14.0a1

Evince 3.2.1 does not show black background.
Comment 2 Jonathan Haas 2012-03-24 16:15:03 PDT
Created attachment 609044 [details]
Reduced sample

This pdf contains a box with simple gradient, green at the top, black at the bottom. When opened in Firefox, it just shows a simple black box.
Comment 3 Jonathan Haas 2012-03-24 16:19:24 PDT
*green at the top, red at the bottom
Comment 4 Brendan Dahl [:bdahl] 2012-03-28 20:47:30 PDT
Jonathan do you own the copyright to the "reduced sampled" pdf?  If so, are you okay with us using it in our test suite?
Comment 5 Jonathan Haas 2012-03-28 22:19:20 PDT
Yes, I created it myself using Inkscape. You can use it for anything you want (public domain). If you need something special for the tests (like something with useful integer dimensions or two pdfs which should look the same, but don't then please ask for it.
Comment 6 Brendan Dahl [:bdahl] 2012-04-18 12:14:04 PDT
Fixed by https://github.com/mozilla/pdf.js/pull/1443

Thanks for the test PDF.
Comment 7 Alfredos-Panagiotis Damkalis [:fredy] 2012-06-22 03:01:34 PDT
I verified fixed this bug. tested on latest aurora ->  Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/20120621 Firefox/15.0a2

Note You need to log in before you can comment on or make changes to this bug.